# Generated by Django 3.2.8 on 2021-11-18 14:57

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
import wagtailmetadata.models
from django.db import migrations, models

import shared.models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailcore", "0062_comment_models_and_pagesubscription"),
        ("wagtailimages", "0023_add_choose_permissions"),
        ("district", "0016_districtcenterpage_sidebar_content"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districtcenterpage",
            name="sidebar_content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "address",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "embed_map",
                                    wagtail.blocks.URLBlock(
                                        help_text="Hodnota 'src' v <iframe>",
                                        label="Odkaz na embed mapku",
                                        required=False,
                                    ),
                                ),
                                (
                                    "address",
                                    wagtail.blocks.TextBlock(
                                        label="Adresa", required=True
                                    ),
                                ),
                                (
                                    "address_info",
                                    wagtail.blocks.TextBlock(
                                        label="Info k adrese", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "contact",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "contact_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.PageChooserBlock(
                                            label="Osoba",
                                            page_type=["district.DistrictPersonPage"],
                                        ),
                                        label="List kontaktů",
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Obsah bočního panelu",
            ),
        ),
        migrations.CreateModel(
            name="DistrictElectionPointPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "text",
                    wagtail.fields.RichTextField(blank=True, verbose_name="text"),
                ),
                (
                    "guarantor",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        to="district.districtpersonpage",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Bod programu voleb",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="DistrictElectionPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "content",
                    wagtail.fields.StreamField(
                        [
                            (
                                "people_group",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "flag_text",
                                            wagtail.blocks.CharBlock(
                                                blank=True,
                                                label="Text ve 'vlajce'",
                                                max_length=32,
                                                null=True,
                                            ),
                                        ),
                                        (
                                            "motto",
                                            wagtail.blocks.CharBlock(
                                                blank=True,
                                                label="Motto (podnadpis)",
                                                max_length=128,
                                                null=True,
                                            ),
                                        ),
                                        (
                                            "image",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                blank=True, null=True
                                            ),
                                        ),
                                        (
                                            "background_image",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                blank=True, null=True
                                            ),
                                        ),
                                        (
                                            "button_list",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "button_link",
                                                            wagtail.blocks.CharBlock(
                                                                label="Text",
                                                                max_length=64,
                                                            ),
                                                        ),
                                                        (
                                                            "button_text",
                                                            wagtail.blocks.CharBlock(
                                                                label="Odkaz"
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                                label="Call to action tlačítka",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "candidate_list",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "title",
                                            wagtail.blocks.CharBlock(
                                                label="Titulek", required=True
                                            ),
                                        ),
                                        (
                                            "contact_list",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.PageChooserBlock(
                                                    label="Osoba",
                                                    page_type=[
                                                        "district.DistrictPersonPage"
                                                    ],
                                                ),
                                                label="Kandidáti",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                        ],
                        blank=True,
                        verbose_name="Obsah stránky",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Volební rozcestník",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
    ]
